# -*- python -*-

Module('caba:vci_synthetic_initiator',
       classname = 'soclib::caba::VciSyntheticInitiator',
       tmpl_parameters = [parameter.Module('vci_param', default = 'caba:vci_param'),],
       header_files = ['../sources/include/vci_synthetic_initiator.h',
                       ],
       implementation_files = ['../sources/src/vci_synthetic_initiator.cpp',],
       uses = [Uses('caba:base_module'),
               Uses('common:mapping_table'),
               Uses('caba:generic_fifo'),
               ],
       ports = [Port('caba:vci_initiator','p_vci'),
                Port('caba:bit_in', 'p_resetn', auto = 'resetn'),
                Port('caba:clock_in', 'p_clk', auto = 'clock'),],
       instance_parameters = [
                parameter.Module('mt'),
                parameter.IntTab('vci_index'),
                parameter.Int('length'),
		parameter.Int('rho'),
                parameter.Int('depth'),
		parameter.Int('xmesh'),
		parameter.Int('ymesh'),
		parameter.Int('bc_period', default = 0),
		parameter.Int('xmin', default = 0),
		parameter.Int('xmax', default = 0),
		parameter.Int('ymin', default = 0),
		parameter.Int('ymax', default = 0),
                ],
       extensions = [
          'dsx:get_ident='
          'vci_ini_index:p_vci:mt,'
       ],
)

